diff --git a/src/include/catalog/pg_amop.h b/src/include/catalog/pg_amop.h
index 657ec07..c3171ae 100644
--- a/src/include/catalog/pg_amop.h
+++ b/src/include/catalog/pg_amop.h
@@ -745,24 +745,24 @@ DATA(insert (	3901   3831 3831 5 s	3887 403 0 ));
 DATA(insert (	3903   3831 3831 1 s	3882 405 0 ));
 
 /*
  * GiST range_ops
  */
 DATA(insert (	3919   3831 3831 1 s	3893 783 0 ));
 DATA(insert (	3919   3831 3831 2 s	3895 783 0 ));
 DATA(insert (	3919   3831 3831 3 s	3888 783 0 ));
 DATA(insert (	3919   3831 3831 4 s	3896 783 0 ));
 DATA(insert (	3919   3831 3831 5 s	3894 783 0 ));
-DATA(insert (	3919   3831 3831 6 s	3897 783 0 ));
 DATA(insert (	3919   3831 3831 7 s	3890 783 0 ));
 DATA(insert (	3919   3831 3831 8 s	3892 783 0 ));
 DATA(insert (	3919   3831 2283 16 s	3889 783 0 ));
+DATA(insert (	3919   3831 3831 17 s	3897 783 0 ));
 DATA(insert (	3919   3831 3831 18 s	3882 783 0 ));
 
 /*
  * SP-GiST quad_point_ops
  */
 DATA(insert (	4015   600 600 11 s 506 4000 0 ));
 DATA(insert (	4015   600 600 1 s	507 4000 0 ));
 DATA(insert (	4015   600 600 5 s	508 4000 0 ));
 DATA(insert (	4015   600 600 10 s 509 4000 0 ));
 DATA(insert (	4015   600 600 6 s	510 4000 0 ));
@@ -819,24 +819,24 @@ DATA(insert (	4036   3802 1009 11 s 3249 2742 0 ));
 DATA(insert (	4037   3802 3802 7 s 3246 2742 0 ));
 
 /*
  * SP-GiST range_ops
  */
 DATA(insert (	3474   3831 3831 1 s	3893 4000 0 ));
 DATA(insert (	3474   3831 3831 2 s	3895 4000 0 ));
 DATA(insert (	3474   3831 3831 3 s	3888 4000 0 ));
 DATA(insert (	3474   3831 3831 4 s	3896 4000 0 ));
 DATA(insert (	3474   3831 3831 5 s	3894 4000 0 ));
-DATA(insert (	3474   3831 3831 6 s	3897 4000 0 ));
 DATA(insert (	3474   3831 3831 7 s	3890 4000 0 ));
 DATA(insert (	3474   3831 3831 8 s	3892 4000 0 ));
 DATA(insert (	3474   3831 2283 16 s	3889 4000 0 ));
+DATA(insert (	3474   3831 3831 17 s	3897 4000 0 ));
 DATA(insert (	3474   3831 3831 18 s	3882 4000 0 ));
 
 /*
  * GiST inet_ops
  */
 DATA(insert (	3550	869 869 3 s		3552 783 0 ));
 DATA(insert (	3550	869 869 18 s	1201 783 0 ));
 DATA(insert (	3550	869 869 19 s	1202 783 0 ));
 DATA(insert (	3550	869 869 20 s	1203 783 0 ));
 DATA(insert (	3550	869 869 21 s	1204 783 0 ));
diff --git a/src/include/utils/rangetypes.h b/src/include/utils/rangetypes.h
index 487b2b3..362e0c4 100644
--- a/src/include/utils/rangetypes.h
+++ b/src/include/utils/rangetypes.h
@@ -75,24 +75,24 @@ typedef struct
 #define PG_GETARG_RANGE_COPY(n)		DatumGetRangeTypeCopy(PG_GETARG_DATUM(n))
 #define PG_RETURN_RANGE(x)			return RangeTypeGetDatum(x)
 
 /* Operator strategy numbers used in the GiST and SP-GiST range opclasses */
 /* Numbers are chosen to match up operator names with existing usages */
 #define RANGESTRAT_BEFORE				RTLeftStrategyNumber
 #define RANGESTRAT_OVERLEFT				RTOverLeftStrategyNumber
 #define RANGESTRAT_OVERLAPS				RTOverlapStrategyNumber
 #define RANGESTRAT_OVERRIGHT			RTOverRightStrategyNumber
 #define RANGESTRAT_AFTER				RTRightStrategyNumber
-#define RANGESTRAT_ADJACENT				RTSameStrategyNumber
 #define RANGESTRAT_CONTAINS				RTContainsStrategyNumber
 #define RANGESTRAT_CONTAINED_BY			RTContainedByStrategyNumber
 #define RANGESTRAT_CONTAINS_ELEM		RTContainsElemStrategyNumber
+#define RANGESTRAT_ADJACENT				RTAdjacentStrategyNumber
 #define RANGESTRAT_EQ					RTEqualStrategyNumber
 
 /*
  * prototypes for functions defined in rangetypes.c
  */
 
 /* I/O */
 extern Datum range_in(PG_FUNCTION_ARGS);
 extern Datum range_out(PG_FUNCTION_ARGS);
 extern Datum range_recv(PG_FUNCTION_ARGS);
diff --git a/src/test/regress/expected/opr_sanity.out b/src/test/regress/expected/opr_sanity.out
index b889123..05f8312 100644
--- a/src/test/regress/expected/opr_sanity.out
+++ b/src/test/regress/expected/opr_sanity.out
@@ -1616,34 +1616,34 @@ ORDER BY 1, 2, 3;
         403 |            5 | *>
         403 |            5 | >
         403 |            5 | ~>~
         405 |            1 | =
         783 |            1 | <<
         783 |            1 | @@
         783 |            2 | &<
         783 |            3 | &&
         783 |            4 | &>
         783 |            5 | >>
-        783 |            6 | -|-
         783 |            6 | ~=
         783 |            7 | @>
         783 |            8 | <@
         783 |            9 | &<|
         783 |           10 | <<|
         783 |           10 | <^
         783 |           11 | >^
         783 |           11 | |>>
         783 |           12 | |&>
         783 |           13 | ~
         783 |           14 | @
         783 |           15 | <->
         783 |           16 | @>
+        783 |           17 | -|-
         783 |           18 | =
         783 |           19 | <>
         783 |           20 | <
         783 |           21 | <=
         783 |           22 | >
         783 |           23 | >=
         783 |           24 | <<
         783 |           25 | <<=
         783 |           26 | >>
         783 |           27 | >>=
@@ -1691,31 +1691,31 @@ ORDER BY 1, 2, 3;
        4000 |            1 | <<
        4000 |            1 | ~<~
        4000 |            2 | &<
        4000 |            2 | ~<=~
        4000 |            3 | &&
        4000 |            3 | =
        4000 |            4 | &>
        4000 |            4 | ~>=~
        4000 |            5 | >>
        4000 |            5 | ~>~
-       4000 |            6 | -|-
        4000 |            6 | ~=
        4000 |            7 | @>
        4000 |            8 | <@
        4000 |           10 | <^
        4000 |           11 | <
        4000 |           11 | >^
        4000 |           12 | <=
        4000 |           14 | >=
        4000 |           15 | >
        4000 |           16 | @>
+       4000 |           17 | -|-
        4000 |           18 | =
 (108 rows)
 
 -- Check that all opclass search operators have selectivity estimators.
 -- This is not absolutely required, but it seems a reasonable thing
 -- to insist on for all standard datatypes.
 SELECT p1.amopfamily, p1.amopopr, p2.oid, p2.oprname
 FROM pg_amop AS p1, pg_operator AS p2
 WHERE p1.amopopr = p2.oid AND p1.amoppurpose = 's' AND
     (p2.oprrest = 0 OR p2.oprjoin = 0);
